> ## Documentation Index
> Fetch the complete documentation index at: https://docs.controlplane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Perform a Patch on an image by name



## OpenAPI

````yaml patch /org/{org}/image/{name}
openapi: 3.0.3
info:
  title: Control Plane Core API
  description: Copyright © 2023 Control Plane Corporation. All rights reserved.
  version: 1.0.0
servers:
  - url: https://api.cpln.io
    description: ''
security:
  - {}
  - serviceAccountKey: []
  - jwt: []
externalDocs:
  url: https://docs.controlplane.com/
  description: End-user documentation
paths:
  /org/{org}/image/{name}:
    patch:
      tags:
        - image
      summary: Perform a Patch on an image by name
      parameters:
        - in: path
          name: org
          required: true
          schema:
            type: string
        - in: path
          name: name
          required: true
          schema:
            type: string
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/patch_image'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/image'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        '403':
          description: Access denied
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
components:
  schemas:
    patch_image:
      type: object
      properties:
        $drop:
          type: array
          items:
            type: string
            enum:
              - id
              - version
              - created
              - lastModified
              - tags
        id:
          type: string
        name:
          type: string
        version:
          type: number
        created:
          type: string
          format: date-time
        lastModified:
          type: string
          format: date-time
        tags:
          type: object
          properties: {}
        $replace/tags:
          type: object
    image:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
        kind:
          type: string
          readOnly: true
        version:
          type: number
        created:
          type: string
          format: date-time
        lastModified:
          type: string
          format: date-time
        tags:
          type: object
        links:
          type: array
          items:
            $ref: '#/components/schemas/link'
          readOnly: true
        repository:
          type: string
          readOnly: true
        tag:
          type: string
          readOnly: true
        manifest:
          type: object
          readOnly: true
        digest:
          type: string
          readOnly: true
      additionalProperties: false
    error:
      type: object
      properties:
        status:
          type: integer
        message:
          type: string
        code:
          type: string
        details:
          type: object
        id:
          type: string
      additionalProperties: false
    link:
      type: object
      properties:
        rel:
          type: string
        href:
          type: string
      additionalProperties: false
  securitySchemes:
    serviceAccountKey:
      type: apiKey
      in: header
      name: Authorization
      description: Service account key can be used as API keys
    jwt:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: IDP-provided token

````